Bug 237252 - minor error in amavis-clamd.conf
minor error in amavis-clamd.conf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: amavisd-new (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-20 09:40 EDT by Stefan Held
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.5.1-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-29 10:03:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Held 2007-04-20 09:40:43 EDT
Description of problem:

The config file for /etc/clamd.d/amavisd.conf is borked.


service clamd.amavisd start
clamd.amavisd starten: ERROR: Parse error at line 2: Option LogSyslog requires
boolean argument.

service clamd.amavisd start
clamd.amavisd starten: ERROR: Parse error at line 14: Option FixStaleSocket
requires boolean argument.
ERROR: Can't open/parse the config file /etc/clamd.d/amavisd.conf

Version-Release number of selected component (if applicable):
0.90.2-1

How reproducible:
install current clamd and start service clamd.amavisd start

Actual results:

clamd.amavisd does not start

Expected results:

it should start :)

Additional info:
Comment 1 Nick Urbanik 2007-06-11 01:31:37 EDT
After making what might seem a reasonable change:
$ diff /etc/clamd.d/amavisd.conf~ /etc/clamd.d/amavisd.conf
2c2
< LogSyslog
---
> LogSyslog 1
14c14
< FixStaleSocket
---
> FixStaleSocket 1

I find clamd *still* is unhappy:
$ sudo service clamd.amavisd start
Starting clamd.amavisd: Running as user amavis (UID 105, GID 107)
and in /var/log/maillog:
Jun 11 15:29:37 www3 clamd[30966]: Log file size limited to 1048576 bytes. 
Jun 11 15:29:37 www3 clamd[30966]: Reading databases from /var/lib/clamav 
Jun 11 15:29:37 www3 clamd[30966]: Not supported data format 
and then clamd dies.
Comment 2 Nick Urbanik 2007-06-11 03:20:36 EDT
I've been able to restart clamd.amavisd after setting up freshclam and
/etc/freshclam.

The daily.cvd file seems to have been corrupted, even though
rpm -V clamav-update showed no errors.  After replacing it using freshclam,
clamd can start, and finally I can receive email again.
Comment 3 Steven Pritchard 2007-06-22 20:55:58 EDT
2.5.1-1.fc7 should be showing up in updates-testing soon.  Could you give it a 
try for me?
Comment 4 Steven Pritchard 2007-06-22 21:27:34 EDT
2.5.2-0.1.rc2 will be in rawhide soon also.
Comment 5 Fedora Update System 2007-06-26 23:49:54 EDT
amavisd-new-2.5.1-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Nick Urbanik 2007-06-28 16:07:45 EDT
It appears to work so far.  The other issue with clamav-data-0.90.2-1 probably
deserves a bug report of its own.
Comment 7 Steven Pritchard 2007-06-28 16:13:50 EDT
(In reply to comment #6)
> The other issue with clamav-data-0.90.2-1 probably
> deserves a bug report of its own.

I could be wrong, but that would probably get closed with NOTABUG.  I think 
you need to run freshclam manually once to get clamd or clamscan to work 
properly.

Again, I could be totally wrong about that though.
Comment 8 Nick Urbanik 2007-06-28 16:37:52 EDT
clamd should run without freshclam having to be run first.  See bug 246151.
Comment 9 Fedora Update System 2007-06-29 10:03:15 EDT
amavisd-new-2.5.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Nick Urbanik 2007-06-29 10:53:13 EDT
(In reply to comment #9)
> amavisd-new-2.5.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If
problems still persist, please make note of it in this bug report.

Sorry, I should have made it clearer: when I said "it seems to work so far", I
meant amavisd-new-2.5.1-1.fc7.

Note You need to log in before you can comment on or make changes to this bug.